## Library Configuration Library Configuration — libxfce4windowingui config macros |

## Stability Level

Stable, unless otherwise indicated

## Functions

#define | LIBXFCE4WINDOWINGUI_CHECK_VERSION()
const gchar * | libxfce4windowingui_check_version ()

## Types and Values

#define | LIBXFCE4WINDOWINGUI_MAJOR_VERSION
#define | LIBXFCE4WINDOWINGUI_MINOR_VERSION
#define | LIBXFCE4WINDOWINGUI_MICRO_VERSION
extern const guint | libxfce4windowingui_major_version
extern const guint | libxfce4windowingui_micro_version
extern const guint | libxfce4windowingui_minor_version

## Includes

    #include <libxfce4windowingui/libxfce4windowingui.h>

## Description

Variables and functions to check the libxfce4windowingui version.

## Functions

### LIBXFCE4WINDOWINGUI_CHECK_VERSION()

    #define             LIBXFCE4WINDOWINGUI_CHECK_VERSION(major, minor, micro)

A macro to compare libxfce4windowingui versions to determine if a particular function is available.

#### Parameters

major | The major version of the library, i.e. 4 |
minor | The minor version of the library, i.e. 18 |
micro | The micro release of the library, i.e. 0 |

### libxfce4windowingui_check_version ()

    const gchar *
    libxfce4windowingui_check_version (guint required_major,
                                       guint required_minor,
                                       guint required_micro);

Checks that the libxfce4windowingui library in use is compatible with the given version. Generally you would pass in the constants LIBXFCE4WINDOWINGUI_MAJOR_VERSION, LIBXFCE4WINDOWINGUI_MINOR_VERSION and LIBXFCE4WINDOWINGUI_MICRO_VERSION as the three arguments to this function; that produces a check that the library in use is compatible with the version of libxfce4windowingui the extension was compiled against.

    1
    2
    3
    4
    5
    6
    7
    const gchar *mismatch;
    mismatch = libxfce4windowingui_check_version(LIBXFCE4WINDOWINGUI_MAJOR_VERSION,
                                                 LIBXFCE4WINDOWINGUI_MINOR_VERSION,
                                                 LIBXFCE4WINDOWINGUI_MICRO_VERSION);
    if (G_UNLIKELY(mismatch != NULL)) {
      g_error("Version mismatch: %s", mismatch);
    }

#### Parameters

required_major | the required major version. |
required_minor | the required minor version. |
required_micro | the required micro version. |

#### Returns

`NULL` if the library is compatible with the given version, or a string describing the version mismatch. The returned string is owned by the library and must not be freed or modified by the caller.

[nullable][transfer none]

## Types and Values

### LIBXFCE4WINDOWINGUI_MAJOR_VERSION

    #define LIBXFCE4WINDOWINGUI_MAJOR_VERSION (4)

A macro that evaluates to the major version of libxfce4windowingui, in a format that can be used by the C pre-processor.

### LIBXFCE4WINDOWINGUI_MINOR_VERSION

    #define LIBXFCE4WINDOWINGUI_MINOR_VERSION (20)

A macro that evaluates to the minor version of libxfce4windowingui, in a format that can be used by the C pre-processor.

### LIBXFCE4WINDOWINGUI_MICRO_VERSION

    #define LIBXFCE4WINDOWINGUI_MICRO_VERSION (0)

A macro that evaluates to the micro version of libxfce4windowingui, in a format that can be used by the C pre-processor.

### libxfce4windowingui_major_version

    extern const guint libxfce4windowingui_major_version;

A constat that evaluates to the major version of libxfce4windowingui.

### libxfce4windowingui_micro_version

    extern const guint libxfce4windowingui_micro_version;

A constat that evaluates to the micro version of libxfce4windowingui.

### libxfce4windowingui_minor_version

    extern const guint libxfce4windowingui_minor_version;

A constat that evaluates to the minor version of libxfce4windowingui.